Category: Estimated time: 0.00 hour
Target version:

Description

Utilizzando un utente non-root, con tutti i prilevi, si riscontrano i seguenti problemi di accesso:

Lista utenti vuota

Lista utenti per permessi vuota

Errori di accesso alle quote

Non si vede lo stato macchina (colonna sx in home page)
¢ Non vede elenco lease dhcp

¢ Non vede code operazioni

e Non vede liste firewall

¢ Non vede scripts

¢ Non vede share samba

e o o o

Associated revisions

Revision 88ab0a81 - 06/13/2017 12:05 AM - Christopher R. Gabriel
refs #307

handle permissions

Revision 1768cd2a - 06/13/2017 11:21 AM - Christopher R. Gabriel

refs #307
refs #308

History

#1 - 06/12/2017 08:07 PM - Christopher R. Gabriel

- Status changed from Nuovo to In elaborazione
#2 - 06/13/2017 11:25 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Risolto in octonet 0.2.9-1 e octofussd 8.0.27-1

Suggerisco, per l'utente non-root utilizzato per le prove, di rimuovere e riassegnare tutte le autorizzazioni su octofussd.

#3 - 06/14/2017 11:29 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Massimo Previdi

Massimo ti chiedo cortesemente di fare i test per questo bug-fix.
#4 - 06/14/2017 11:40 AM - Massimo Previdi

- Status changed from Commenti to In elaborazione

Dopo aver aggiornato il client, riavviato il servizio octofuss-client.

Aggiornato il server e riavviato i servizi:
service octofuss-client restart

service octonet restart

service octofussd restart

Octonet funziona!!!

Rimane il problema in Network Printers - Configure Printers and queues:
non ¢ stato possibile accedere alla URL http://localhost:631/

#5 - 06/14/2017 11:58 AM - Paolo Dongilli

- Assignee changed from Massimo Previdi to Christopher R. Gabriel

#6 - 06/14/2017 11:59 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Massimo Previdi

Sulla macchina sulla quale stai facendo le tue prove, c'e' cups installato? Altrimenti non c'e' nessuno che ti risponde sulle 631.

#7 - 06/15/2017 08:47 AM - Massimo Previdi

- Assignee changed from Massimo Previdi to Christopher R. Gabriel

Buongiorno Christopher,
si sul client € installato cups

root@client1:/home/previdimas# dpkg -l cups
Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/
Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version  Architecture Description

i cups 1.7.5-11+deb amd64 Common UNIX Printing System(tm) -

infatti stampa regolarmente, ma non si riesce ad accedere a http://localhost:631/

#8 - 06/15/2017 08:59 AM - Massimo Previdi

Questo ¢ il messaggio di errore:

Mentre si cercava di accedere alla URL http:/localhost:631/ si & presentato il seguente errore:

Accesso negato.
http://localhost:631/
http://localhost:631/
http://localhost:631/

La richiesta non & permessa dalle impostazioni di sicurezza. Se ritieni sia un errore, contatta il fornitore del servizio.

L'amministratore del proxy € webmaster.

#9 - 06/15/2017 01:43 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti
- Assignee changed from Christopher R. Gabriel to Massimo Previdi

Ok, direi che non e' un problema di octonet, ma di CUPS, che non riguarda questo ticket. Se il problema del ticket €' a posto, chiuderei il ticket.

#10 - 06/15/2017 03:27 PM - Massimo Previdi

- Status changed from Commenti to Chiuso

Grazie
